wl_resource(3)

NAME
wl_resource

SYNOPSIS

#include <wayland-server.h>

  Public Member Functions
const char * wl_resource_get_class (struct wl_resource *resource)
struct wl_resource * wl_resource_create (struct wl_client *client, const struct wl_interface *interface, int version, uint32_t id)

  Data Fields
struct wl_object object
wl_resource_destroy_func_t destroy
struct wl_list link
struct wl_signal deprecated_destroy_signal
struct wl_client * client
void * data
int version
wl_dispatcher_func_t dispatcher
struct wl_priv_signal destroy_signal
struct wl_signal destroy_signal

Member Function Documentation

  struct wl_resource * wl_resource_create (struct wl_client * client, const struct wl_interface * interface, int version, uint32_t id)
Create a new resource object

Parameters
    client The client owner of the new resource.
    interface The interface of the new resource.
    version The version of the new resource.
    id The id of the new resource. If 0, an available id will be used.

Listeners added with wl_client_add_resource_created_listener will be notified at the end of this function.

  const char * wl_resource_get_class (struct wl_resource * resource)
Retrieve the interface name (class) of a resource object.

Parameters
    resource The resource object

Field Documentation

  struct wl_client * wl_resource::client

  void * wl_resource::data

  struct wl_signal wl_resource::deprecated_destroy_signal

  wl_resource_destroy_func_t wl_resource::destroy

  struct wl_priv_signal wl_resource::destroy_signal

  struct wl_signal wl_resource::destroy_signal

  wl_dispatcher_func_t wl_resource::dispatcher

  struct wl_list wl_resource::link

  struct wl_object wl_resource::object

  int wl_resource::version

Author

Generated automatically by Doxygen for Wayland from the source code.